<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpPixmap: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-deprecated.html" title="Part VII. Deprecated API">
<link rel="prev" href="libgimpwidgets-GimpOldWidgets.html" title="GimpOldWidgets">
<link rel="next" href="GimpUnitMenu.html" title="GimpUnitMenu">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpPixmap.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpPixmap.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpPixmap.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-deprecated.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimpwidgets-GimpOldWidgets.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpUnitMenu.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpPixmap"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpPixmap.top_of_page"></a>GimpPixmap</span></h2>
<p>GimpPixmap — Widget which creates a <a href="../gtk2/GtkPixmap.html#GtkPixmap-struct"><span class="type">GtkPixmap</span></a> from XPM data.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpPixmap.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPixmap.html#gimp-pixmap-new" title="gimp_pixmap_new ()">gimp_pixmap_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPixmap.html#gimp-pixmap-set" title="gimp_pixmap_set ()">gimp_pixmap_set</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPixmap.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpPixmap.html#GimpPixmap-struct" title="GimpPixmap">GimpPixmap</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPixmap.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkMisc.html#GtkMisc-struct">GtkMisc</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkImage.html#GtkImage-struct">GtkImage</a>
                        <span class="lineart">╰──</span> GimpPixmap
</pre>
</div>
<div class="refsect1">
<a name="GimpPixmap.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpPixmap implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpPixmap.description"></a><h2>Description</h2>
<p>Widget which creates a <a href="../gtk2/GtkPixmap.html#GtkPixmap-struct"><span class="type">GtkPixmap</span></a> from XPM data.</p>
<p>Use this widget instead of <a href="../gtk2/GtkPixmap.html#GtkPixmap-struct"><span class="type">GtkPixmap</span></a> if you don't want to worry
about the parent container's "realized" state.</p>
<p>Note that the drawback of the easy interface is that the actual
<a href="../gdk2/gdk2-Bitmaps-and-Pixmaps.html#GdkPixmap"><span class="type">GdkPixmap</span></a> and it's mask have to be constructed every time you call
<a class="link" href="GimpPixmap.html#gimp-pixmap-new" title="gimp_pixmap_new ()"><code class="function">gimp_pixmap_new()</code></a> and cannot be cached in memory without doing bad
hacks.</p>
</div>
<div class="refsect1">
<a name="GimpPixmap.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-pixmap-new"></a><h3>gimp_pixmap_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_pixmap_new (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> **xpm_data</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_pixmap_new</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Creates a new <a class="link" href="GimpPixmap.html" title="GimpPixmap"><span class="type">GimpPixmap</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-pixmap-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>xpm_data</p></td>
<td class="parameter_description"><p>A pointer to a XPM data structure as found in XPM files.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-pixmap-new.returns"></a><h4>Returns</h4>
<p> A pointer to the new <a class="link" href="GimpPixmap.html" title="GimpPixmap"><span class="type">GimpPixmap</span></a> widget.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-pixmap-set"></a><h3>gimp_pixmap_set ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_pixmap_set (<em class="parameter"><code><a class="link" href="GimpPixmap.html" title="GimpPixmap"><span class="type">GimpPixmap</span></a> *pixmap</code></em>,
                 <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> **xpm_data</code></em>);</pre>
<div class="warning"><p><code class="literal">gimp_pixmap_set</code> is deprecated and should not be used in newly-written code.</p></div>
<p>Sets a new image for an existing <a class="link" href="GimpPixmap.html" title="GimpPixmap"><span class="type">GimpPixmap</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-pixmap-set.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>pixmap</p></td>
<td class="parameter_description"><p>The pixmap widget you want to set the new xpm_data for.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>xpm_data</p></td>
<td class="parameter_description"><p>A pointer to a XPM data structure as found in XPM files.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpPixmap.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpPixmap-struct"></a><h3>GimpPixmap</h3>
<pre class="programlisting">typedef struct _GimpPixmap GimpPixmap;</pre>
<div class="warning"><p><code class="literal">GimpPixmap</code> is deprecated and should not be used in newly-written code.</p></div>
</div>
</div>
<div class="refsect1">
<a name="GimpPixmap.see-also"></a><h2>See Also</h2>
<p>gimp_pixmap_button_new(), <a href="../gtk2/GtkPixmap.html#GtkPixmap-struct"><span class="type">GtkPixmap</span></a></p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>